Bug 524978 - -cups package has a perl dependency
Summary: -cups package has a perl dependency
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gutenprint
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 20:55 UTC by Adam Jackson
Modified: 2009-09-28 17:04 UTC (History)
1 user (show)

Fixed In Version: 5.2.4-6.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-28 17:04:02 UTC


Attachments (Terms of Use)

Description Adam Jackson 2009-09-22 20:55:17 UTC
Description of problem:

/usr/sbin/cups-genppdupdate is a perl script.  gutenprint-cups is installed by default on the LiveCD, as it replaced gutenprint-foomatic (see bug #474453).

It's not at all clear to me what this script is supposed to do, or if it's something we should even be shipping.  If it is something we should ship, we probably want to split it to a subpackage.

Comment 1 Tim Waugh 2009-09-23 14:45:50 UTC
This script is run when the gutenprint-cups package gets upgraded.  It's needed to ensure the PPD options and values track the actual options and values in the driver.

It's fine for this script not to be included in the Live CD, but it does need to be included in any media that can be used to update existing installations.

Any idea how we can achieve that?

Comment 2 Adam Jackson 2009-09-23 17:45:13 UTC
Well, we could move it to -cups-perl, and have -cups Requires(post): it, and then remove it in the LiveCD's kickstart's %post, but that'll create media that can't do upgrades.  To be fair, I don't think the LiveCD can do upgrades at the moment anyway.

Still, removing it in ks %post isn't quite trivial since you'd need to also remove perl, but iff perl is really unneeded afterwards.  Hrngh.

Comment 3 Tim Waugh 2009-09-28 17:04:02 UTC
I've reimplemented it in Python.

Are we perl-free in the Live CD yet?


Note You need to log in before you can comment on or make changes to this bug.